--- a/configure.ac
+++ b/configure.ac
@@ -233,7 +233,13 @@ else
   AM_CONDITIONAL(USE_LIBDB, false)
 fi
 
-PKG_CHECK_MODULES([CHECK], [check >= 0.9.4],have_check=yes,have_check=no)
+dnl Test if --enable-unit-test given
+AC_ARG_ENABLE(unit-test, [AC_HELP_STRING([--enable-unit-test],[enable unit test])])
+if test "x$enable_unit_test" = "xyes" ; then
+  PKG_CHECK_MODULES([CHECK], [check >= 0.9.4],have_check=yes,have_check=no)
+else
+  have_check=no
+fi
 AM_CONDITIONAL(HAVE_CHECK, test x"$have_check" = "xyes")
 
 AM_CONDITIONAL(FLYN, test "$FLYN")
